Permalink
Browse files

No, seriously. Gem dependencies for real.

  • Loading branch information...
1 parent b4771d2 commit ad0a1c2c8bb4d481f59ce15267db1d9765f81554 @jamis jamis committed Jun 28, 2008
Showing with 10 additions and 5 deletions.
  1. +5 −0 CHANGELOG.rdoc
  2. +4 −4 Rakefile
  3. +1 −1 lib/capistrano/version.rb
View
5 CHANGELOG.rdoc
@@ -1,3 +1,8 @@
+== 2.4.3 / June 28, 2008
+
+* Fix gem dependencies so gem actually understands them [Jamis Buck]
+
+
== 2.4.2 / June 27, 2008
* Specify gem dependencies in rakefile [Jamis Buck]
View
8 Rakefile
@@ -26,9 +26,9 @@ Echoe.new('capistrano', version) do |p|
p.need_zip = true
p.rdoc_pattern = /^(lib|README.rdoc|CHANGELOG.rdoc)/
- p.dependencies = ["net-ssh >= 2.0.0",
- "net-sftp >= 2.0.0",
- "net-scp >= 1.0.0",
- "net-ssh-gateway >= 1.0.0",
+ p.dependencies = ["net-ssh >=2.0.0",
+ "net-sftp >=2.0.0",
+ "net-scp >=1.0.0",
+ "net-ssh-gateway >=1.0.0",
"highline"]
end
View
2 lib/capistrano/version.rb
@@ -6,7 +6,7 @@ module Capistrano
class Version < Net::SSH::Version
MAJOR = 2
MINOR = 4
- TINY = 2
+ TINY = 3
# The current version, as a Version instance
CURRENT = new(MAJOR, MINOR, TINY)

0 comments on commit ad0a1c2

Please sign in to comment.